Bug 1022822 - Rolling upgrade using yum to Corbett from RHS 2.1 and later
Rolling upgrade using yum to Corbett from RHS 2.1 and later
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build (Show other bugs)
2.1
Unspecified Unspecified
urgent Severity urgent
: ---
: RHGS 2.1.2
Assigned To: Chris Williams
Rejy M Cyriac
: ZStream
Depends On: 1016385
Blocks: 1033313 1043946
  Show dependency treegraph
 
Reported: 2013-10-24 02:34 EDT by Vivek Agarwal
Modified: 2016-02-17 19:03 EST (History)
12 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0.51rhs-1.el6rhs
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1016385
Environment:
Last Closed: 2015-08-10 03:43:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Vivek Agarwal 2013-10-24 02:36:38 EDT
Patch in comment #16 to be pulled for Corbett only
Comment 2 Raghavendra Talur 2013-12-16 04:13:55 EST
Patch posted at https://code.engineering.redhat.com/gerrit/#/c/14487/
Comment 3 Jay Turner 2013-12-17 13:45:24 EST
Marking this FailedQA and moving back to Assigned based on bug 1043946.  The %pretrans scriptlet is failing preventing package installation.
Comment 4 Harshavardhana 2013-12-17 14:24:59 EST
(In reply to Jay Turner from comment #3)
> Marking this FailedQA and moving back to Assigned based on bug 1043946.  The
> %pretrans scriptlet is failing preventing package installation.

This is supposed to fail if the 'glusterfs' process are running - can you explain more on what failed?

vol_type - distribute should fail all the time (we don't support rolling upgrades on that)
vol_type - replicate or distributed-replicate is supported but not while the process are running, we should fail the installation and throw a message to the user indicating 'gluster' process are still running. So a 'pkill gluster*' process is necessary before RPM installation.
Comment 5 Jay Turner 2013-12-17 15:41:15 EST
Take a look at the bug I referenced.  Currently package installation is failing with, "Installing glusterfs-libs-3.4.0.50rhs-1387276796.el6.x86_64
error: %pretrans(glusterfs-libs-3.4.0.50rhs-1387276796.el6.x86_64) scriptlet failed, exit status 127" which is not how things should be working.
Comment 7 Rejy M Cyriac 2014-01-09 13:59:07 EST
Verified with glusterfs*-3.4.0.55rhs-1

Distribute Volume
-----------------

With running volume:

ERROR: Distribute volumes detected. In-service rolling upgrade requires distribute volume(s) to be stopped.
ERROR: Please stop distribute volume(s) before proceeding... exiting!
Error in PRETRANS scriptlet in rpm package glusterfs-server-3.4.0.55rhs-1.el6rhs.x86_64
....
error: lua script failed: Detected running glusterfs processes

With volume stopped, update is successful


Replicate and Distribute-Replicate Volume
------------------------------------------

With running volume, and running gluster processes on server:

WARNING: Updating glusterfs requires its processes to be killed. This action does NOT incur downtime.
WARNING: Ensure to wait for the upgraded server to finish healing before proceeding.
WARNING: Refer upgrade section of install guide for more details
Please run # service glusterd stop; pkill glusterfs; pkill glusterfsd; pkill gsyncd.py;
Error in PRETRANS scriptlet in rpm package glusterfs-server-3.4.0.55rhs-1.el6rhs.x86_64
....
error: lua script failed: Detected running glusterfs processes

With the gluster processes killed on server to be updated, the update is successful

Note You need to log in before you can comment on or make changes to this bug.